﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace xamDataGridFieldChooserStyle
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Person> coll { get; set; }
        public ObservableCollection<Person> coll1 { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            coll = new ObservableCollection<Person>();
            coll1 = new ObservableCollection<Person>();

            coll.Add(new Person() { Id = 1, LastName = "Doe", Age = 30 });
            coll.Add(new Person() { Id = 2, LastName = "Doe", Age = 30 });
            coll.Add(new Person() { Id = 3, LastName = "Doe", Age = 30 });
            coll.Add(new Person() { Id = 4, LastName = "Smith", Age = 30 });

            coll1.Add(new Person() { Id = 1, LastName = "Doe", Age = 30 });
            coll1.Add(new Person() { Id = 2, LastName = "Doe", Age = 30 });
            coll1.Add(new Person() { Id = 3, LastName = "Doe", Age = 30 });
            coll1.Add(new Person() { Id = 4, LastName = "Smith", Age = 30 });

            ObservableCollection<ObservableCollection<Person>> col = new ObservableCollection<ObservableCollection<Person>>();
            col.Add(coll);
            col.Add(coll1);

            xamDataGrid1.DataContext = col;
        }

        private void xamDataGrid1_FieldChooserOpening(object sender, Infragistics.Windows.DataPresenter.Events.FieldChooserOpeningEventArgs e)
        {
            e.FieldChooser.Style = this.Resources["MyStyle"] as Style;
        }
    }

    public class Person : INotifyPropertyChanged
    {
        private int id;

        public int Id
        {
            get { return id; }
            set
            {
                id = value;
                NotifyPropertyChanged("Id");
            }
        }

        private int age;

        public int Age
        {
            get { return age; }
            set { age = value; NotifyPropertyChanged("Age"); }
        }

        private String lastName;

        public String LastName
        {
            get { return lastName; }
            set { lastName = value; NotifyPropertyChanged("LastName"); }
        }



        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

    }
}
